#!/bin/bash

PRELEASE="indt3"
PNAME="python-efl-core-demo"
PVER="0.1.1_$PRELEASE"
SECTION="user/accessories"

DESC="Enlightenment Foundation Libraries Core - Python Bindings Demos"
LONG_DESC="\
 This package demonstrate use of python-efl-core
 .
 Homepage: http://www.enlightenment.org/
"
BDEPENDS=""
DEPENDS="python-efl-core (>= 0.1.1_indt3)"

ARCH="$(arch)"
DESTDIR="/tmp/$PNAME-$ARCH"

die() {
	echo "ERROR: $@"
	exit 1
}

if [ x"$NODESTDIR" != x1 ]; then
    rm -fr $DESTDIR
    mkdir -p $DESTDIR
fi

LOG_PREFIX="$(basename $0)"

CWD=$PWD

EXAMPLES_DIR="$DESTDIR/usr/share/python-efl-core-demo/examples/"
MENU_DIR="$DESTDIR/usr/share/applications/hildon"

mkdir -p "$EXAMPLES_DIR"
mkdir -p "$MENU_DIR"

cat > "$MENU_DIR/01-app_launcher.desktop" <<EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Name=Edje App Launcher Demo
Exec=/usr/share/python-efl-core-demo/examples/01-app_launcher.py
EOF

cd python-edje/examples/evas-demo/01-app_launcher/
cp 01-app_launcher.py $EXAMPLES_DIR
chmod +x $EXAMPLES_DIR/01-app_launcher.py
#edje_cc 01-app_launcher.edc || die "Failed to compile theme 01-app_launcher"
cp 01-app_launcher.edj $EXAMPLES_DIR

cd $CWD

cat > "$MENU_DIR/02-vkbd.desktop" <<EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Name=Edje Virtual Keyboard
Exec=/usr/share/python-efl-core-demo/examples/02-vkbd.py
EOF

cd python-edje/examples/evas-demo/02-vkbd/
cp 02-vkbd.py $EXAMPLES_DIR
chmod +x $EXAMPLES_DIR/02-vkbd.py
#edje_cc 02-vkbd.edc || die "Failed to compile theme 02-vkbd"
cp 02-vkbd.edj $EXAMPLES_DIR

cd $CWD


if [ x"$NODESTDIR" != x1 ]; then
    cd $DESTDIR
    tar czf $DESTDIR.tar.gz .
    cd $CWD
fi

SIZE=$(du -sc $DESTDIR | grep total | sed s/total//)

##
## Package
##
PDIR="${DESTDIR}-deb"
mkdir -p $PDIR
cd $PDIR
cat > control <<EOF
Package: $PNAME
Version: $PVER
Section: $SECTION
Priority: optional
Architecture: armel
Installed-Size: $SIZE
Maintainer: Gustavo Sverzut Barbieri <gustavo.barbieri@openbossa.org>
Build-Depends: $BDEPENDS
Depends: $DEPENDS
Description: $DESC
$LONG_DESC
EOF
echo 2.0 > debian-binary
tar czf control.tar.gz control
(cd $DESTDIR; tar czf $PDIR/data.tar.gz .)
rm -f ${PNAME}_${PVER}_armel.deb
ar q ${PNAME}_${PVER}_armel.deb debian-binary control.tar.gz data.tar.gz
echo $PWD/${PNAME}_${PVER}_armel.deb
