#!/bin/sh

###########################################################
# Maemo-efl building script
# Variable definitions
###########################################################

__tmp_hash=`mktemp XXXXXXXX` || exit 1
rm -f $__tmp_hash

# Paths
__tmp_dir="/tmp/`whoami`_build_maemo-efl/$__tmp_hash"
__versions_dir="$__tmp_dir/versions"
__this_script=`basename $0`
__this_script_dir=`dirname $0`
__orig_path=$PATH
__srclist_file="/etc/apt/sources.list"

# Binaries
__date=`which date`
__git=`which git`
__svn=`which svn`
__head=`which head`
__mkdir=`which mkdir`
__sed=`which sed`
__uname=`which uname`
__chmod=`which chmod`
__grep=`which grep`
__egrep=`which egrep`
__debsign=`which debsign`
__tar=`which tar`
__tail=`which tail`
__head=`which head`
__dpkg_parsechangelog=`which dpkg-parsechangelog`

# svn definitions
__svn_checkout="$__svn co"
__svn_update="$__svn up"
__svn_repo="http://svn.enlightenment.org/svn/e/trunk/"

# git definitions
__git_clone="$__git clone -q"
__git_pull="$__git pull -q"
__git_clean="$__git clean -q -x -d -f"
__git_reset="$__git reset --hard HEAD"
__git_repo="git://staff.get-e.org/"

# e17 git repositories paths
__e17_libs="e17/libs"
__e17_proto="e17/proto"
__e17_python_efl="BINDINGS/python/"
__e17_python_etk="users/cmarcelo"
__e17_python_efl_utils="BINDINGS/python/"
#__e17_python_dispatcher="users/ulisses"

# modules to build
#__lib_modules="edb eet evas ecore embryo edje efreet epeg epsilon emotion etk ewl e_dbus exml enhance"
__lib_modules="eina:eet:evas:ecore:embryo:edje:epsilon:etk:e_dbus"
#__other_modules="himf-ecore:himf-ecore-chinook:lightmediascanner:python-lightmediascanner"
__other_modules=""
__python_modules="python-evas:python-ecore:python-edje:python-epsilon:python-e_dbus:python-etk"
__python_efl_utils_module="python-efl_utils"
__python_dispatcher_module="python-dispatcher"
__virtual_packages="efl-core:python-efl-core"

update_all_modules () {
    __all_modules=$__lib_modules:$__other_modules:$__python_modules:$__python_efl_utils_module:$__python_dispatcher_module:$__virtual_packages
}

# dpkg definitions
__common_build_pkg_options="-rfakeroot -us -uc -D"

# Packages dirs and log file
__today=`$__date +%Y%m%d`
__base_pkg_dir="$__this_script_dir/packages_$__today"
__output_file="$PWD/$__base_pkg_dir/packages_$__today.log"

# Scratchbox definitions
__sbox_path="/scratchbox"

# Other
__update_repositories=1
__force_remove=0
__installed_packages=""
__export_dir=""
__not_all_pkgs=0
